use crate::configs::GeoffreyBotConfig;
use serenity::prelude::TypeMapKey;

#[derive(Debug, Clone)]
pub struct GeoffreyContext {
    pub http_client: reqwest::Client,
    pub cfg: GeoffreyBotConfig,
}

impl TypeMapKey for GeoffreyContext {
    type Value = GeoffreyContext;
}
