use crate::models::locations::Location;
use serde::{Deserialize, Serialize};
use std::collections::HashSet;

#[derive(Serialize, Deserialize, Debug, Clone, Default)]
pub struct MarketDb {
    pub is_public: bool,
    pub shops: HashSet<u64>,
}

#[derive(Serialize, Deserialize, Debug, Clone, Default)]
pub struct Market {
    pub is_public: bool,
    pub shops: Vec<Location>,
}
