# Geoffrey: A Location Database for Minecraft Servers

Geoffrey was created to be an information source for base and shop locations on Minecraft severs. Geoffrey can track 
bases, shops, items for sale, tunnels, towns, public farms and more!

This is the third ~~complete rewrite~~ version of Geoffrey. V3 focuses on improving the API,
adding new features, and moving to Rust.

This version is still very early in development and things are very likely to change.

## Project Layout
* [`geoffrey_models`](./geoffrey_models): Models used throughout Geoffrey, split into their
own library for reuse.
* [`geoffrey_db`](./geoffrey_db): Wrapper around [Sled](https://github.com/spacejam/sled) that implements the 
  database functionality. (This is subject to change a lot)
* [`geoffrey_api`](./geoffrey_api): API wrapper around the database to provide data to the website, bot, plugin, etc.
  It will implement the command API and the model API. A lot of Geoffrey's logic is implemented here.
  
## License
[License](LICENSE)