use crate::GeoffreyDatabaseModel;
use serde::{Deserialize, Serialize};

#[derive(Serialize, Deserialize, Debug, Clone)]
struct Meta {
    id: Option<u64>,
    version: u64,
    database_version: u64,
}

impl GeoffreyDatabaseModel for Meta {
    fn id(&self) -> Option<u64> {
        self.id
    }

    fn set_id(&mut self, id: u64) {
        self.id = Some(id);
    }

    fn tree() -> String {
        "meta".to_string()
    }
}
