use crate::models::item::ItemListing;
use crate::models::{Position, Tunnel};
use serde::{Deserialize, Serialize};

#[derive(Debug, Deserialize, Serialize, Clone)]
pub struct SellingListing {
    pub shop_name: String,
    pub shop_loc: Position,
    pub portal: Option<Tunnel>,
    pub listing: ItemListing,
}
